/* ROMER.PRG

Bruce E. Hansen
Department of Economics
Social Science Building
University of Wisconsin
Madison, WI 53706-1393
bhansen@ssc.wisc.edu
http://www.ssc.wisc.edu/~bhansen/

This GAUSS program replicates Table 2 from Hansen,
Journal of Policy Modeling, 1992.

*/

#include lc.prc;

load x[]=romer.dat;
t1=x[8];
t2=x[9];
x=x[11:rows(x)]-x[10:rows(x)-1];
xt=seqa(t1+1,1,t2-t1);
x1=selif(x,(xt.<=1987).*(xt.>=1889));
x2=selif(x,(xt.<=1929).*(xt.>=1889));
x3=selif(x,(xt.<=1947).*(xt.>=1930));
x4=selif(x,(xt.<=1987).*(xt.>=1948));
n1=rows(x1);n2=rows(x2);n3=rows(x3);n4=rows(x4);
dat1=x1[2:n1]~ones(n1-1,1)~x1[1:n1-1];
dat2=x2[2:n2]~ones(n2-1,1)~x2[1:n2-1];
dat3=x3[2:n3]~ones(n3-1,1)~x3[1:n3-1];
dat4=x4[2:n4]~ones(n4-1,1)~x4[1:n4-1];

datnames="DY"|"Constant"|"DY(-1)";

output file=romer.out reset;

"Sample: 1889 to 1987";
lc(dat1,datnames);

"Sample: 1889 to 1929";
lc(dat2,datnames);

"Sample: 1930 to 1947";
lc(dat3,datnames);

"Sample: 1948 to 1987";
lc(dat4,datnames);

output off;
